%define name numeric
%define version 24.2
%define release alt1
%setup_python_module Numeric

Summary: Numerical Extension to Python
Name: %{packagename}
Version: %{version}
Release: %{release}
Source0: Numeric-%{version}.tar.gz
Source1: numpy.pdf.bz2
License: Python License
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-buildroot
Packager: Andrey Khavryuchenko <akhavr@altlinux.ru>

Prefix: %{_prefix}
Vendor: Numerical Python Developers <numpy-developers@lists.sourceforge.net>
Provides: python-numeric python-Numeric 
Obsoletes: python-Numeric
Url: http://www.pfdubois.com/numpy/

Patch0: Numeric-system-lapack.patch

Requires: python

# Automatically added by buildreq on Tue Jul 18 2006
BuildRequires: liblapack-devel python-devel = 2.4 python-modules 
BuildRequires: python-modules-compiler python-modules-encodings

%description

NumPy is a collection of extension modules to provide high-performance
multidimensional numeric arrays to the Python programming language.
Numerical Extension to Python with subpackages.

The authors and maintainers of the subpackages are: 

FFTPACK-3.1
        maintainer = "Numerical Python Developers"
        maintainer_email = "numpy-discussion@lists.sourceforge.net"
        description = "Fast Fourier Transforms"
        url = "http://numpy.sourceforge.net"

MA-12.2.0
        author = "Paul F. Dubois"
        description = "Masked Array facility"
        maintainer = "Paul F. Dubois"
        maintainer_email = "dubois@users.sf.net"
        url = "http://sourceforge.net/projects/numpy"

RNG-3.1
        author = "Lee Busby, Paul F. Dubois, Fred Fritsch"
        maintainer = "Paul F. Dubois"
        maintainer_email = "dubois@users.sf.net"
        description = "Cray-like Random number package."

%package devel
Group: Development/Python
Summary: Python numerical facilities
Requires: %name = %version-%release

Provides: python-numeric-devel python-Numeric-devel
Provides: python-numpy-devel

Obsoletes: python-numpy-devel python-numeric-devel

%description devel
A collection of extension modules to provide high-performance multidimensional
numeric arrays to the Python programming language.
Development files.

%package demo
Group: Development/Python
Summary: Python numerical facilities - demo 

%description demo
A collection of extension modules to provide high-performance multidimensional
numeric arrays to the Python programming language.

Demonstartion and testing utilites

%define python_libdir %_libdir/python%__python_version
%define python_site_packages_dir %python_libdir/site-packages
%define python_includedir %_includedir/python%__python_version

%prep
%setup -q -n Numeric-%version 
bzcat %SOURCE1 >numpy.pdf

%patch0 -p 1

%build
env CFLAGS="$RPM_OPT_FLAGS" %__python setup.py build

%install
%__python setup.py install --root=$RPM_BUILD_ROOT --optimize=2 --record=INSTALLED_FILES

#find $RPM_BUILD_ROOT -type f | sed -e "s|$RPM_BUILD_ROOT||g" >>INSTALLED_FILES

%__mkdir_p %buildroot%_sysconfdir/buildreqs/files/ignore.d
%__cat > %buildroot%_sysconfdir/buildreqs/files/ignore.d/%name << EOF
^/usr/lib/python[^/]*/site-packages/Numeric$
EOF

install -d $RPM_BUILD_ROOT/%python_libdir/tools/numeric
install -d $RPM_BUILD_ROOT/%python_libdir/tools/numeric/NumTut
install -D -m 755 Demo/*py $RPM_BUILD_ROOT/%python_libdir/tools/numeric
install -D -m 644 Demo/NumTut/* $RPM_BUILD_ROOT/%python_libdir/tools/numeric/NumTut 
install -D -m 755 Test/*test.py $RPM_BUILD_ROOT/%python_libdir/tools/numeric

%add_python_lib_path  %_libdir/python%__python_version/site-packages/Numeric

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%config %_sysconfdir/buildreqs/files/ignore.d/%name
%doc MANIFEST *README PKG-INFO

%files devel
%dir %python_includedir/Numeric
%python_includedir/Numeric/*
%doc numpy.pdf

%files demo
%python_libdir/tools/numeric

%changelog
* Thu Jul 18 2006 Andrey Khavryuchenko <akhavr@altlinux.ru> 24.2-alt1
- Updated to new release

* Fri Jan 14 2005 Andrey Orlov <cray@altlinux.ru> 23.7-alt1
- New version

* Sat Jun 26 2004 Andrey Orlov <cray@altlinux.ru> 23.3-alt2
- Demonstration and testing utilites added

* Fri Jun 25 2004 Andrey Orlov <cray@altlinux.ru> 23.3-alt1
- New version

* Fri Jun 25 2004 Andrey Orlov <cray@altlinux.ru> 22.0-alt2
- Rebuild for python 23
- Path from Numeric.pth added for AutoReqProv;
- Some duplicated files excluded;

* Wed Oct 30 2002 Yuri N. Sedunov <aris@altlinux.ru> 22.0-alt1
- new version.

* Tue Feb 12 2002 Stanislav Ievlev <inger@altlinux.ru> 20.3-alt2
- Added buildreq filter

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 20.3-alt1
- 20.3 

* Fri Aug 10 2001 Stanislav Ievlev <inger@altlinux.ru> 20.1.0-alt1
- 20.1.0

* Wed Jun 27 2001 Stanislav Ievlev <inger@altlinux.ru> 17.3.0-alt1
- 17.3.0 . Cleanup spec. Rebuilt with python-2.1

* Sat Jan 20 2001 AEN <aen@logic.ru>
- RE adaptation
- build for python-2.0 only
* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.0-1mdk
- new in contribs

